function mColorBPButtons(handles,Inter)

if strcmp(class(Inter),'char')
    InterNumb = mGetTableNumberFromName_simple(Inter);
else
    InterNumb = Inter;
end



M = mIsostericity;
Bases = 'ACGUo-';

for a=1:6
    for b=1:6
         try %some of the 6 may not exist, depending on ShowNs and ShowGaps
            [htmlColor guiColor] = mColorByIsostericity(M(a,b,InterNumb));
            % % % % % % % set(h,'Background',guiColor);
            % % % % % % % %set(handles.h(a,b),'Background',guiColor); %Does not work on MAC OS10.x MATLAB SP3
            
            %h(a,b)  = findall(0,'Tag',strcat(Bases(a),Bases(b)));  %Not needed anymore since handles is now passed
            setBackgroundColor(handles.h(a,b),guiColor); %Works on MAC OS10.x MATLAB SP3
         end
    end
end

mScoreBP_Interactive(handles, M(:,:,InterNumb))
